<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from lic.texi on 28 April 1999 -->

<TITLE>The Linear Inequality Calculator - Creating a System and Checking for Solutions</TITLE>
<link href="lic_11.html" rel=Next>
<link href="lic_9.html" rel=Previous>
<link href="lic_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="lic_1.html">first</A>, <A HREF="lic_9.html">previous</A>, <A HREF="lic_11.html">next</A>, <A HREF="lic_21.html">last</A> section, <A HREF="lic_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC10" HREF="lic_toc.html#TOC10">Creating a System and Checking for Solutions</A></H3>

<P>
<A NAME="IDX119"></A>
<A NAME="IDX120"></A>
<A NAME="IDX121"></A>
<A NAME="IDX122"></A>
<A NAME="IDX123"></A>
<A NAME="IDX124"></A>

</P>
<P>
In this example three systems of linear inequalities <SAMP>`t1'</SAMP>,
<SAMP>`t2'</SAMP> and <SAMP>`t3'</SAMP> are created.  For each system <SAMP>`realsol()'</SAMP>
checks if there exists a real solution and <SAMP>`intsol()'</SAMP> checks if
there exists an integer solution.

</P>

<PRE>
t1 = [ 1 &#60;= i &#60;= N
       i &#60;= j &#60;= N ]
t1.realsol()
t1.intsol()

t2 = [ 10 &#60;= i &#60;= 20
        i &#60;= j &#60;= 5  ]
t2.realsol()
t2.intsol()

t3 = [ 1 &#60;= i   &#60;= 4
       1 &#60;= 5*j &#60;= i ]
t3.realsol()
t3.intsol()
end
</PRE>

<P>
<A NAME="IDX125"></A>

</P>
<P>
The above script is created as an ascii file named <CODE>example1</CODE>. 
<CODE>LIC</CODE> is started with the rapid prototyping mode and the file
<CODE>example1</CODE> is given as the input script.  The output is generated
to standardout.

</P>
<P>
The following is a printout of the standardout for this session.

</P>

<PRE>
csh&#62; lic -c
Rapid Prototyping System for Code Generation
&#62; &#60; example1
t1 = [ 1 &#60;= i &#60;= N
       i &#60;= j &#60;= N ]
N-j &#62;= 0
j-i &#62;= 0
N-i &#62;= 0
-1+i &#62;= 0

t1.realsol()
1
t1.intsol()
1

t2 = [ 10 &#60;= i &#60;= 20
        i &#60;= j &#60;= 5  ]
5-j &#62;= 0
j-i &#62;= 0
20-i &#62;= 0
-10+i &#62;= 0

t2.realsol()
0
t2.intsol()
0

t3 = [ 1 &#60;= i   &#60;= 4
       1 &#60;= 5*j &#60;= i ]
i-5*j &#62;= 0
-1+5*j &#62;= 0
4-i &#62;= 0
-1+i &#62;= 0

t3.realsol()
1
t3.intsol()
0
end

 &#62; quit
done(0)

csh&#62;

</PRE>

<P>
<A NAME="IDX126"></A>

</P>
<P><HR><P>
<p>Go to the <A HREF="lic_1.html">first</A>, <A HREF="lic_9.html">previous</A>, <A HREF="lic_11.html">next</A>, <A HREF="lic_21.html">last</A> section, <A HREF="lic_toc.html">table of contents</A>.
</BODY>
</HTML>
